petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectComposedDataRegister

Get an available id for composed data

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectComposedDataRegister(PetscInt *id)

Not Collective

### Output parameter

id -an identifier under which data can be stored

Notes: You must keep this value (for example in a global variable) in order to attach the data to an object or access in an object.

seealso: PetscObjectComposedDataSetInt()

Level:developer
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages